Support

MultiDrive Pedal LE

1.0.3

  • macOS 10.15 Catalina compatibility ensured. 32bit builds are no longer included so older 32bit DAWs are now not supported.

1.0.2

  • First releaese.
Mac OS X 10.9 - Mac OS X 10.15
AAX 64b, AU 64b, VST2 64b, VST3 64b
  Sign me up

Please let us know how you plan to use our software: